<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPoolPlugin\EventListener;

use Dedi\SyliusCustomerPoolPlugin\Model\Customer\CustomerPoolAwareInterface;
use Sylius\Component\Channel\Context\ChannelContextInterface;
use Symfony\Component\EventDispatcher\GenericEvent;
use Webmozart\Assert\Assert;

final class CustomerPoolSetterListener
{
    /** @var ChannelContextInterface */
    private $channelContext;

    public function __construct(ChannelContextInterface $channelContext)
    {
        $this->channelContext = $channelContext;
    }

    public function setPool(GenericEvent $event): void
    {
        /** @var CustomerPoolAwareInterface $customer */
        $customer = $event->getSubject();

        Assert::isInstanceOf($customer, CustomerPoolAwareInterface::class);

        /** @var CustomerPoolAwareInterface $channel */
        $channel = $this->channelContext->getChannel();

        Assert::isInstanceOf($channel, CustomerPoolAwareInterface::class);

        $customer->setCustomerPool($channel->getCustomerPool());
    }
}
