<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPoolPlugin\Model\Customer;

use Dedi\SyliusCustomerPoolPlugin\Model\CustomerPoolInterface;
use Doctrine\ORM\Mapping as ORM;

trait CustomerPoolTrait
{
    /**
     * @var CustomerPoolInterface|null
     * @ORM\ManyToOne(targetEntity="Dedi\SyliusCustomerPoolPlugin\Model\CustomerPool")
     * @ORM\JoinColumn(name="customer_pool", referencedColumnName="id", nullable=true)
     */
    protected $customerPool;

    public function getCustomerPool(): ?CustomerPoolInterface
    {
        return $this->customerPool;
    }

    public function setCustomerPool(?CustomerPoolInterface $customerPool): void
    {
        $this->customerPool = $customerPool;
    }
}
