<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPoolPlugin\Application\src\Entity\Customer;

use Dedi\SyliusCustomerPoolPlugin\Model\Customer\CustomerPoolAwareInterface;
use Dedi\SyliusCustomerPoolPlugin\Model\Customer\CustomerPoolTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Customer as BaseCustomer;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_customer", uniqueConstraints={
 *       @ORM\UniqueConstraint(name="UNQ_email_customer_pool", columns={"email", "customer_pool"}),
 *       @ORM\UniqueConstraint(name="UNQ_email_canonical_customer_pool", columns={"email_canonical", "customer_pool"})
 *  })
 * @ORM\AttributeOverrides({
 *      @ORM\AttributeOverride(name="email",
 *          column=@ORM\Column(
 *              name     = "email",
 *              type     = "string",
 *              nullable = false,
 *              unique   = false
 *          )
 *      ),
 *      @ORM\AttributeOverride(name="emailCanonical",
 *          column=@ORM\Column(
 *              name     = "email_canonical",
 *              type     = "string",
 *              nullable = false,
 *              unique   = false
 *          )
 *      )
 * })
 */
class Customer extends BaseCustomer implements CustomerPoolAwareInterface
{
    use CustomerPoolTrait;
}
